#file2-File2Upload>div>h3{margin:5px 0}
#file2-File2Upload>div>h3>i{margin-right:7px}
#file2-File2Upload>div>.item{border-top:1px solid #fff;margin:4px 0}
#file2-File2Upload>div>.item>*{margin:3px 0}
#file2-File2Upload>div>.item>h4{white-space:nowrap;text-overflow:ellipsis}
#file2-File2Upload>div>.item>.probar{display:flex;flex-direction:row;flex-wrap:nowrap}
#file2-File2Upload>div>.item>.probar>.progress-bar{flex:1 0 1px;border-radius:3px}
#file2-File2Upload>div>.item>.probar>button{flex:0 0 auto}
#file2-File2Upload>div>.item>.container{display:none}
.fileselector2{height:70vh}
.file2.browser{position:absolute;top:0;right:0;bottom:0;left:0;overflow:hidden;display:flex;flex-direction:column;flex-wrap:nowrap}
.file2.browser a{cursor:pointer}
.file2.browser>.context-menu>button{display:none}
.file2.browser>.context-menu>ul{position:fixed;top:auto;right:auto;bottom:auto;left:auto}
.file2.browser>.navigation-bar{flex:0 0 30px;display:flex;background-color:#f5f5f5;align-items:center}
.file2.browser>.navigation-bar>.divider{flex:0 0 0px;height:15px;border:1px solid #888}
.file2.browser>.navigation-bar>.bookmark-button{flex:0 0 30px;text-align:center}
.file2.browser>.navigation-bar>.bookmark-button .bookmark-item>a{display:flex;vertical-align:middle}
.file2.browser>.navigation-bar>.bookmark-button .bookmark-item>a>div{flex:1 0 1px;margin-right:.2em}
.file2.browser>.navigation-bar>.bookmark-button .bookmark-item>a>div>input{border:0;padding:0}
.file2.browser>.navigation-bar>.bookmark-button .bookmark-item>a>span{flex:0 0 15px;opacity:.5}
.file2.browser>.navigation-bar>.bookmark-button .bookmark-item>a>span:hover{opacity:1}
.file2.browser>.navigation-bar>.path{flex:1 0 1px}
.file2.browser>.navigation-bar>.path>.breadcrumb{margin:0;padding:0 15px}
.file2.browser>.navigation-bar>.path>.breadcrumb>.dropok>a{background-color:#bf6!important}
.file2.browser>.navigation-bar>.path>.path-edit{display:flex;margin:5px;background-color:#fff}
.file2.browser>.navigation-bar>.path>.path-edit>*{padding:1px 6px}
.file2.browser>.navigation-bar>.path>.path-edit input{flex:1 0 1px;border:none}
.file2.browser>.item-container{flex:1 0 1px}
.file2.browser>.item-container .overflow{text-align:center}
.file2.browser>.item-container .overflow>ul{display:inline-block;text-align:initial}
.file2.browser>.item-container .overflow>ul>li{cursor:pointer}
.file2.browser>.item-container.hide-actions .actions,.file2.browser>.item-container.hide-modified .modified,.file2.browser>.item-container.hide-size .size{display:none}
.file2.browser>.item-container.mini-actions .actions span{display:none}
.file2.browser>.item-container.detail{display:flex;flex-direction:column;flex-wrap:nowrap}
.file2.browser>.item-container.detail>.header{flex:0 0 30px;border-bottom:1px solid #000}
.file2.browser>.item-container.detail>.items{flex:1 0 1px;overflow-y:scroll}
.file2.browser>.item-container.detail>.items>.item{height:36px}
.file2.browser>.item-container.detail>.items.dropok{background-color:#bf6!important}
.file2.browser>.item-container.detail>.items.dropok>.item{background:0 0}
.file2.browser>.item-container.detail>.header,.file2.browser>.item-container.detail>.items>.item{display:flex;flex-direction:row;flex-wrap:nowrap;align-items:center;cursor:pointer}
.file2.browser>.item-container.detail>.header>div,.file2.browser>.item-container.detail>.items>.item>div{margin:3px;overflow:hidden}
.file2.browser>.item-container.detail>.header>.icon,.file2.browser>.item-container.detail>.items>.item>.icon{flex:0 0 36px;position:relative;text-align:center}
.file2.browser>.item-container.detail>.header>.icon>i,.file2.browser>.item-container.detail>.items>.item>.icon>i{font-size:28px}
.file2.browser>.item-container.detail>.header>.icon>input,.file2.browser>.item-container.detail>.items>.item>.icon>input{position:absolute;bottom:-1px;right:2px;opacity:.7}
.file2.browser>.item-container.detail>.header>.icon>input:checked,.file2.browser>.item-container.detail>.items>.item>.icon>input:checked{opacity:1}
.file2.browser>.item-container.detail>.header>.actions,.file2.browser>.item-container.detail>.items>.item>.actions{font-size:80%}
.file2.browser>.item-container.detail>.header>.actions>a,.file2.browser>.item-container.detail>.items>.item>.actions>a{margin-right:13px}
.file2.browser>.item-container.detail>.header>.actions>a>i,.file2.browser>.item-container.detail>.items>.item>.actions>a>i{margin-right:3px}
.file2.browser>.item-container.detail>.header:not(:hover)>.actions,.file2.browser>.item-container.detail>.items>.item:not(:hover)>.actions{opacity:.4}
.file2.browser>.item-container.detail>.header.selected>.actions,.file2.browser>.item-container.detail>.items>.item.selected>.actions{opacity:1}
.file2.browser>.item-container.detail>.header>.processing,.file2.browser>.item-container.detail>.items>.item>.processing{flex:0 0 20px}
.file2.browser>.item-container.detail>.header>.name,.file2.browser>.item-container.detail>.items>.item>.name{flex:1 1 0px;display:flex;white-space:nowrap}
.file2.browser>.item-container.detail>.header>.name>.root,.file2.browser>.item-container.detail>.items>.item>.name>.root{overflow:hidden;text-overflow:ellipsis}
.file2.browser>.item-container.detail>.header>.name>input,.file2.browser>.item-container.detail>.items>.item>.name>input{flex:1 1}
.file2.browser>.item-container.detail>.header>.size,.file2.browser>.item-container.detail>.items>.item>.size{flex:0 0 70px;text-align:right}
.file2.browser>.item-container.detail>.header>.modified,.file2.browser>.item-container.detail>.items>.item>.modified{text-align:right;flex:0 0 170px}
.file2.browser>.item-container.icons{overflow-y:scroll}
.file2.browser>.item-container.icons.dropok{background-color:#bf6!important}
.file2.browser>.item-container.icons.dropok>.items>.item{background:0 0}
.file2.browser>.item-container.icons>.items{display:flex;flex-flow:row wrap;justify-content:flex-start;align-items:stretch;align-content:flex-start;padding:.5em}
.file2.browser>.item-container.icons>.items>.item{flex:7.5em 0 0;max-width:7.5em;margin:.345em;padding:.23em;border-radius:.575em;cursor:pointer}
.file2.browser>.item-container.icons>.items>.item:hover{background-color:#fafafa}
.file2.browser>.item-container.icons>.items>.item:hover>.icon>input{opacity:.7}
.file2.browser>.item-container.icons>.items>.item.selected{background-color:#ccf}
.file2.browser>.item-container.icons>.items>.item>.icon{height:3.565em;position:relative;text-align:center;padding:.345em}
.file2.browser>.item-container.icons>.items>.item>.icon>i{font-size:2.875em}
.file2.browser>.item-container.icons>.items>.item>.icon>input{width:1.25em;height:1.25em;position:absolute;top:0;left:0;margin:0;opacity:.2}
.file2.browser>.item-container.icons>.items>.item>.icon>input:checked{opacity:1}
.file2.browser>.item-container.icons>.items>.item>.name{text-align:center;word-break:break-all;display:block;display:-webkit-box;max-height:3.55em;margin:.15em;line-height:1.15em;-webkit-line-clamp:3;-webkit-box-orient:vertical;overflow:hidden;text-overflow:ellipsis}
.file2.browser>.filter{position:absolute;background:#fff;z-index:25;bottom:0;left:25px;border:1px solid #000;border-radius:3px 3px 0 0;border-bottom:0;padding:2px}
.file2.browser>.filter>.count{display:inline-block;min-width:35px;padding:0 1px}
.file2.browser>.filter>.count>i{margin:0 2px}
.file2.browser>.filter.error{color:#900}
.file2.browser .item-container .item.selected.odd{background-color:#ccf}
.file2.browser .item-container .item.selected.even{background-color:#c2c2ff}
.file2.browser .item-container .item.odd{background-color:#fff}
.file2.browser .item-container .item.even{background-color:#fafafa}
.file2.browser .item-container .item.drag{background-color:#fb6!important}
.file2.browser .item-container .item.drop{background-color:#bf6!important}